Bug 69226 - Incorrect handling of 8 bit characters in passwords.
Incorrect handling of 8 bit characters in passwords.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-19 05:43 EDT by Stelian Pop
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stelian Pop 2002-07-19 05:43:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
usermode, usermode-gtk, xscreensaver, the login prompt all seems to treat
differently passwords who happen to contain 8 bit characters.

Not only that, but we have three types of characters:
- normal (7 bits) characters
- 8 bit characters like i, ` etc
- 8 bit characters typed using dead keys, like j or k

When a password contain one of these characters, some applications refuse to
validate it: 
- some applications work in all cases (login prompt, kdm)
- some applications work in the first two cases, but not in the third (xscreensaver)
- some applications work only in the first case (usermode-gtk)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. change the root passwd to one of 'fo', 'fi', 'fj'
2. login, or launch redhat-config-something, or xscreensaver
3. watch the inability to validate the password.
	

Additional info:
Comment 1 Stelian Pop 2002-07-19 06:10:35 EDT
Of course, the 8 bit characters didn't made it into the bug report:
   i is 'e
   ` is `e
   j is ^e
   k is "e
...

Stelian.
Comment 2 Jindrich Novy 2004-10-31 14:57:56 EST
Stelian, this works for me with passwd-0.68 (I tried it with Czech
accents like ^c, ^s, etc.) If it's still a problem for you in some
recent release, please reopen this bug and write me ASCII codes of
letters that caused the problem.

thanks,
Jindrich
Comment 3 Stelian Pop 2004-11-02 03:51:56 EST
No, it is still not solved on a Fedora Core 2, with usermode-1.70-2
and passwd-0.68-8.1.

BTW, the problem is probably *not* in passwd but in usermode-gtk
(usermode in console works too).

If you want to reproduce: 
$ system-config-date
... in the usermode-gtk window, type the root password, it works
$ su -
# passwd
New password: é (this is é also known as ascii 0xe9 is ISO8859-1)
# 
$ system-config-date
... in the usermode-gtk, type the one letter password, it will not work.


Comment 4 Jindrich Novy 2005-04-07 08:42:23 EDT
Ok, this looks like a GTK problem here, because gtk_entry_get_text() replaces
the 'é' (&eacute character) by '0' in each its occurence within the password
text so I'm tring to fix it.
Comment 5 Jindrich Novy 2005-04-07 10:45:17 EDT
Maybe it's somehow related to bug 65398.
Comment 6 Bill Nottingham 2006-08-05 00:20:23 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2006-10-18 12:29:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.